# Uses of Enum Class
javafx.geometry.Orientation

Packages that use Orientation
Package
Description
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of Orientation in javafx.geometry

Methods in javafx.geometry that return Orientation
Modifier and Type
Method
Description
`static Orientation`
Orientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Orientation[]`
Orientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Orientation in javafx.scene

Methods in javafx.scene that return Orientation
Modifier and Type
Method
Description
`Orientation`
Node.`getContentBias()`
Returns the orientation of a node's resizing bias for layout purposes.

## Uses of Orientation in javafx.scene.control

Methods in javafx.scene.control that return Orientation
Modifier and Type
Method
Description
`Orientation`
Accordion.`getContentBias()`
Returns the orientation of a node's resizing bias for layout purposes.
`Orientation`
Labeled.`getContentBias()`
If wrapText is true, then contentBias will be HORIZONTAL, otherwise it is null.
`Orientation`
TitledPane.`getContentBias()`
`final Orientation`
ListView.`getOrientation()`
Returns the current orientation of the ListView, which dictates whether it scrolls vertically or horizontally.
`final Orientation`
ScrollBar.`getOrientation()`
Gets the value of the `orientation` property.
`final Orientation`
Separator.`getOrientation()`
Gets the value of the `orientation` property.
`final Orientation`
Slider.`getOrientation()`
Gets the value of the `orientation` property.
`final Orientation`
SplitPane.`getOrientation()`
The orientation for the SplitPane.
`final Orientation`
ToolBar.`getOrientation()`
Gets the value of the `orientation` property.
Methods in javafx.scene.control that return types with arguments of type Orientation
Modifier and Type
Method
Description
`final ObjectProperty<Orientation>`
ListView.`orientationProperty()`
The orientation of the `ListView` - this can either be horizontal or vertical.
`final ObjectProperty<Orientation>`
ScrollBar.`orientationProperty()`
The orientation of the `ScrollBar` can either be `HORIZONTAL` or `VERTICAL`.
`final ObjectProperty<Orientation>`
Separator.`orientationProperty()`
The orientation of the `Separator` can either be horizontal or vertical.
`final ObjectProperty<Orientation>`
Slider.`orientationProperty()`
The orientation of the `Slider` can either be horizontal or vertical.
`final ObjectProperty<Orientation>`
SplitPane.`orientationProperty()`
The orientation for the SplitPane.
`final ObjectProperty<Orientation>`
ToolBar.`orientationProperty()`
The orientation of the `ToolBar` - this can either be horizontal or vertical.
Methods in javafx.scene.control with parameters of type Orientation
Modifier and Type
Method
Description
`final void`
ListView.`setOrientation(Orientation value)`
Sets the orientation of the ListView, which dictates whether it scrolls vertically or horizontally.
`final void`
ScrollBar.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
`final void`
Separator.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
`final void`
Slider.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
`final void`
SplitPane.`setOrientation(Orientation value)`
This property controls how the SplitPane should be displayed to the user.
`final void`
ToolBar.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
Constructors in javafx.scene.control with parameters of type Orientation
Modifier
Constructor
Description
``
`Separator(Orientation orientation)`
Creates a new separator with halignment and valignment set to their respective CENTER values.

## Uses of Orientation in javafx.scene.layout

Methods in javafx.scene.layout that return Orientation
Modifier and Type
Method
Description
`Orientation`
BorderPane.`getContentBias()`
`Orientation`
FlowPane.`getContentBias()`
`Orientation`
GridPane.`getContentBias()`
`Orientation`
HBox.`getContentBias()`
`Orientation`
StackPane.`getContentBias()`
`Orientation`
TilePane.`getContentBias()`
`Orientation`
VBox.`getContentBias()`
`final Orientation`
FlowPane.`getOrientation()`
Gets the value of the `orientation` property.
`final Orientation`
TilePane.`getOrientation()`
Gets the value of the `orientation` property.
Methods in javafx.scene.layout that return types with arguments of type Orientation
Modifier and Type
Method
Description
`final ObjectProperty<Orientation>`
FlowPane.`orientationProperty()`
The orientation of this flowpane.
`final ObjectProperty<Orientation>`
TilePane.`orientationProperty()`
The orientation of this tilepane.
Methods in javafx.scene.layout with parameters of type Orientation
Modifier and Type
Method
Description
`final void`
FlowPane.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
`final void`
TilePane.`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
Constructors in javafx.scene.layout with parameters of type Orientation
Modifier
Constructor
Description
``
`FlowPane(Orientation orientation)`
Creates a FlowPane layout with the specified orientation and hgap/vgap = 0.
``
`FlowPane(Orientation orientation, double hgap, double vgap)`
Creates a FlowPane layout with the specified orientation and hgap/vgap.
``
`FlowPane(Orientation orientation, double hgap, double vgap, Node... children)`
Creates a FlowPane layout with the specified orientation and hgap/vgap.
``
`FlowPane(Orientation orientation, Node... children)`
Creates a FlowPane layout with the specified orientation and hgap/vgap = 0.
``
`TilePane(Orientation orientation)`
Creates a TilePane layout with the specified orientation, prefColumn/prefRows = 5 and hgap/vgap = 0.
``
`TilePane(Orientation orientation, double hgap, double vgap)`
Creates a TilePane layout with the specified orientation, hgap/vgap, and prefRows/prefColumns = 5.
``
`TilePane(Orientation orientation, double hgap, double vgap, Node... children)`
Creates a TilePane layout with the specified orientation, hgap/vgap, and prefRows/prefColumns = 5.
``
`TilePane(Orientation orientation, Node... children)`
Creates a TilePane layout with the specified orientation, prefColumn/prefRows = 5 and hgap/vgap = 0.

## Uses of Orientation in javafx.scene.text

Methods in javafx.scene.text that return Orientation
Modifier and Type
Method
Description
`Orientation`
TextFlow.`getContentBias()`